CdpResourceApi (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger

## Class CdpResourceApi

- java.lang.Object
- - com.cloudera.api.swagger.CdpResourceApi

-     public class CdpResourceApi
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CdpResourceApi()`
    `CdpResourceApi(ApiClient apiClient)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiCommand` | `createEnvironmentCommand(String serviceName, ApiCreateEnvironment body)` Create an environment in ECS.
    `com.squareup.okhttp.Call` | `createEnvironmentCommandAsync(String serviceName, ApiCreateEnvironment body, ApiCallback<ApiCommand> callback)` Create an environment in ECS.
    `com.squareup.okhttp.Call` | `createEnvironmentCommandCall(String serviceName, ApiCreateEnvironment body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for createEnvironmentCommand
    `ApiResponse<ApiCommand>` | `createEnvironmentCommandWithHttpInfo(String serviceName, ApiCreateEnvironment body)` Create an environment in ECS.
    `ApiClient` | `getApiClient()`
    `ApiRemoteDataContext` | `getRemoteContext(String dataContextName)` Get a JSON for creating a remote data context in a Workload cluster.
    `com.squareup.okhttp.Call` | `getRemoteContextAsync(String dataContextName, ApiCallback<ApiRemoteDataContext> callback)` Get a JSON for creating a remote data context in a Workload cluster.
    `ApiRemoteDataContext` | `getRemoteContextByCluster(String clusterName)` Get a JSON for creating a remote data context in a Workload cluster.
    `com.squareup.okhttp.Call` | `getRemoteContextByClusterAsync(String clusterName, ApiCallback<ApiRemoteDataContext> callback)` Get a JSON for creating a remote data context in a Workload cluster.
    `com.squareup.okhttp.Call` | `getRemoteContextByClusterCall(String clusterName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for getRemoteContextByCluster
    `ApiResponse<ApiRemoteDataContext>` | `getRemoteContextByClusterWithHttpInfo(String clusterName)` Get a JSON for creating a remote data context in a Workload cluster.
    `com.squareup.okhttp.Call` | `getRemoteContextCall(String dataContextName, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for getRemoteContext
    `ApiResponse<ApiRemoteDataContext>` | `getRemoteContextWithHttpInfo(String dataContextName)` Get a JSON for creating a remote data context in a Workload cluster.
    `ApiRemoteDataContext` | `postRemoteContext(ApiRemoteDataContext body)` Create or update the remote data context in the Workload cluster.
    `com.squareup.okhttp.Call` | `postRemoteContextAsync(ApiRemoteDataContext body, ApiCallback<ApiRemoteDataContext> callback)` Create or update the remote data context in the Workload cluster.
    `com.squareup.okhttp.Call` | `postRemoteContextCall(ApiRemoteDataContext body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for postRemoteContext
    `ApiResponse<ApiRemoteDataContext>` | `postRemoteContextWithHttpInfo(ApiRemoteDataContext body)` Create or update the remote data context in the Workload cluster.
    `void` | `setApiClient(ApiClient apiClient)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CdpResourceApi

          public CdpResourceApi()

    - #### CdpResourceApi

          public CdpResourceApi(ApiClient apiClient)

  - ### Method Detail

    - #### getApiClient

          public ApiClient getApiClient()

    - #### setApiClient

          public void setApiClient(ApiClient apiClient)

    - #### createEnvironmentCommandCall

          public com.squareup.okhttp.Call createEnvironmentCommandCall(String serviceName,
                                                                       ApiCreateEnvironment body,
                                                                       ProgressResponseBody.ProgressListener progressListener,
                                                                       ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                                throws ApiException

      Build call for createEnvironmentCommand
      Parameters:
        `serviceName` - (optional)
        `body` - (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### createEnvironmentCommand

          public ApiCommand createEnvironmentCommand(String serviceName,
                                                     ApiCreateEnvironment body)
                                              throws ApiException

      Create an environment in ECS. Create an environment in ECS
      Parameters:
        `serviceName` - (optional)
        `body` - (optional)
      Returns:
        ApiCommand
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### createEnvironmentCommandWithHttpInfo

          public ApiResponse<ApiCommand> createEnvironmentCommandWithHttpInfo(String serviceName,
                                                                              ApiCreateEnvironment body)
                                                                       throws ApiException

      Create an environment in ECS. Create an environment in ECS
      Parameters:
        `serviceName` - (optional)
        `body` - (optional)
      Returns:
        ApiResponse<ApiCommand>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### createEnvironmentCommandAsync

          public com.squareup.okhttp.Call createEnvironmentCommandAsync(String serviceName,
                                                                        ApiCreateEnvironment body,
                                                                        ApiCallback<ApiCommand> callback)
                                                                 throws ApiException

      Create an environment in ECS. (asynchronously) Create an environment in ECS
      Parameters:
        `serviceName` - (optional)
        `body` - (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### getRemoteContextCall

          public com.squareup.okhttp.Call getRemoteContextCall(String dataContextName,
                                                               ProgressResponseBody.ProgressListener progressListener,
                                                               ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                        throws ApiException

      Build call for getRemoteContext
      Parameters:
        `dataContextName` - The name of the DataContext. (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### getRemoteContext

          public ApiRemoteDataContext getRemoteContext(String dataContextName)
                                                throws ApiException

      Get a JSON for creating a remote data context in a Workload cluster. Get a JSON for creating a remote data context in a Workload cluster.
      Parameters:
        `dataContextName` - The name of the DataContext. (required)
      Returns:
        ApiRemoteDataContext
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getRemoteContextWithHttpInfo

          public ApiResponse<ApiRemoteDataContext> getRemoteContextWithHttpInfo(String dataContextName)
                                                                         throws ApiException

      Get a JSON for creating a remote data context in a Workload cluster. Get a JSON for creating a remote data context in a Workload cluster.
      Parameters:
        `dataContextName` - The name of the DataContext. (required)
      Returns:
        ApiResponse<ApiRemoteDataContext>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getRemoteContextAsync

          public com.squareup.okhttp.Call getRemoteContextAsync(String dataContextName,
                                                                ApiCallback<ApiRemoteDataContext> callback)
                                                         throws ApiException

      Get a JSON for creating a remote data context in a Workload cluster. (asynchronously) Get a JSON for creating a remote data context in a Workload cluster.
      Parameters:
        `dataContextName` - The name of the DataContext. (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### getRemoteContextByClusterCall

          public com.squareup.okhttp.Call getRemoteContextByClusterCall(String clusterName,
                                                                        ProgressResponseBody.ProgressListener progressListener,
                                                                        ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                                 throws ApiException

      Build call for getRemoteContextByCluster
      Parameters:
        `clusterName` - The name of the DataContext. (required)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### getRemoteContextByCluster

          public ApiRemoteDataContext getRemoteContextByCluster(String clusterName)
                                                         throws ApiException

      Get a JSON for creating a remote data context in a Workload cluster. Get a JSON for creating a remote data context in a Workload cluster.
      Parameters:
        `clusterName` - The name of the DataContext. (required)
      Returns:
        ApiRemoteDataContext
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getRemoteContextByClusterWithHttpInfo

          public ApiResponse<ApiRemoteDataContext> getRemoteContextByClusterWithHttpInfo(String clusterName)
                                                                                  throws ApiException

      Get a JSON for creating a remote data context in a Workload cluster. Get a JSON for creating a remote data context in a Workload cluster.
      Parameters:
        `clusterName` - The name of the DataContext. (required)
      Returns:
        ApiResponse<ApiRemoteDataContext>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getRemoteContextByClusterAsync

          public com.squareup.okhttp.Call getRemoteContextByClusterAsync(String clusterName,
                                                                         ApiCallback<ApiRemoteDataContext> callback)
                                                                  throws ApiException

      Get a JSON for creating a remote data context in a Workload cluster. (asynchronously) Get a JSON for creating a remote data context in a Workload cluster.
      Parameters:
        `clusterName` - The name of the DataContext. (required)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### postRemoteContextCall

          public com.squareup.okhttp.Call postRemoteContextCall(ApiRemoteDataContext body,
                                                                ProgressResponseBody.ProgressListener progressListener,
                                                                ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                                         throws ApiException

      Build call for postRemoteContext
      Parameters:
        `body` - (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### postRemoteContext

          public ApiRemoteDataContext postRemoteContext(ApiRemoteDataContext body)
                                                 throws ApiException

      Create or update the remote data context in the Workload cluster. Create or update the remote data context in the Workload cluster.
      Parameters:
        `body` - (optional)
      Returns:
        ApiRemoteDataContext
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### postRemoteContextWithHttpInfo

          public ApiResponse<ApiRemoteDataContext> postRemoteContextWithHttpInfo(ApiRemoteDataContext body)
                                                                          throws ApiException

      Create or update the remote data context in the Workload cluster. Create or update the remote data context in the Workload cluster.
      Parameters:
        `body` - (optional)
      Returns:
        ApiResponse<ApiRemoteDataContext>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### postRemoteContextAsync

          public com.squareup.okhttp.Call postRemoteContextAsync(ApiRemoteDataContext body,
                                                                 ApiCallback<ApiRemoteDataContext> callback)
                                                          throws ApiException

      Create or update the remote data context in the Workload cluster. (asynchronously) Create or update the remote data context in the Workload cluster.
      Parameters:
        `body` - (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

Copyright © 2022. All rights reserved.